## libsdl3-image 3.1.0+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16...3.28)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

# See docs/release_checklist.md
set(MAJOR_VERSION 3)
set(MINOR_VERSION 1)
set(MICRO_VERSION 0)
set(SDL_REQUIRED_VERSION 3.1.3)

project(SDL3_image
    LANGUAGES C
    VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}"
)

include("${CMAKE_CURRENT_LIST_DIR}/cmake/GetGitRevisionDescription.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/cmake/PrivateSdlFunctions.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/cmake/sdlcpu.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/cmake/sdlplatform.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/cmake/sdlmanpages.cmake")
sdl_calculate_derived_version_variables(${MAJOR_VERSION} ${MINOR_VERSION} ${MICRO_VERSION})

message(STATUS "Configuring ${PROJECT_NAME} ${PROJECT_VERSION}")

if(CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
    set(SDLIMAGE_ROOTPROJECT ON)
else()
    set(SDLIMAGE_ROOTPROJECT OFF)
endif()

set(SDLIMAGE_SAMPLES_DEFAULT ${SDLIMAGE_ROOTPROJECT})
if(ANDROID)
    set(SDLIMAGE_SAMPLES_DEFAULT OFF)
endif()

# Assume MSVC projects don't have a package manager and need vendored dependencies (by default).
# Most other platforms have some kind of package manager.
if(MSVC)
    set(vendored_default ON)
else()
    set(vendored_default OFF)
endif()

set(sdlimage_install_enableable ON)
if((TARGET SDL3-shared OR TARGET SDL3-static) AND SDL_DISABLE_INSTALL)
    # Cannot install SDL3_image when SDL3 is built in same built, and is not installed.
    set(sdlimage_install_enableable OFF)
endif()

if(NOT DEFINED CMAKE_FIND_PACKAGE_PREFER_CONFIG)
    set(CMAKE_FIND_PACKAGE_PREFER_CONFIG ON)
endif()

include(CMakeDependentOption)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

set(PLATFORM_SUPPORTS_SHARED ON)
if(EMSCRIPTEN OR VITA OR PSP OR PS2 OR N3DS OR RISCOS)
  set(PLATFORM_SUPPORTS_SHARED OFF)
endif()

option(CMAKE_POSITION_INDEPENDENT_CODE "Build static libraries with -fPIC" ${PLATFORM_SUPPORTS_SHARED})
cmake_dependent_option(BUILD_SHARED_LIBS "Build the library as a shared library" ON PLATFORM_SUPPORTS_SHARED OFF)

cmake_dependent_option(SDLIMAGE_INSTALL "Enable SDL3_image install target" ${SDLIMAGE_ROOTPROJECT} "${sdlimage_install_enableable}" OFF)
cmake_dependent_option(SDLIMAGE_INSTALL_CPACK "Create binary SDL3_image archive using CPack" ${SDLIMAGE_ROOTPROJECT} "SDLIMAGE_INSTALL" OFF)
cmake_dependent_option(SDLIMAGE_INSTALL_MAN "Install man pages for SDL3_image" OFF "SDLIMAGE_INSTALL" OFF)
cmake_dependent_option(SDLIMAGE_DEPS_SHARED "Load dependencies dynamically" ON PLATFORM_SUPPORTS_SHARED OFF)
option(SDLIMAGE_VENDORED "Use vendored third-party libraries" ${vendored_default})
option(SDLIMAGE_WERROR "Treat warnings as errors" OFF)

option(SDLIMAGE_STRICT "Fail when a dependency could not be found" OFF)
set(required "")
set(fatal_error "STATUS")
if(SDLIMAGE_STRICT)
  set(required "REQUIRED")
  set(fatal_error "FATAL_ERROR")
endif()

option(SDLIMAGE_SAMPLES "Build the SDL3_image sample program(s)" ${SDLIMAGE_SAMPLES_DEFAULT})
cmake_dependent_option(SDLIMAGE_SAMPLES_INSTALL "Install the SDL3_image sample program(s)" OFF "SDLIMAGE_SAMPLES;SDLIMAGE_INSTALL" OFF)

option(SDLIMAGE_TESTS "Build unit tests?" OFF)
option(SDLIMAGE_TESTS_INSTALL "Install unit tests?" OFF)

option(SDLIMAGE_BACKEND_STB "Use stb_image for loading JPEG and PNG files" ON)
cmake_dependent_option(SDLIMAGE_BACKEND_WIC "Add WIC backend (Windows Imaging Component)" OFF WIN32 OFF)
cmake_dependent_option(SDLIMAGE_BACKEND_IMAGEIO "Use native Mac OS X frameworks for loading images" ON APPLE OFF)

option(SDLIMAGE_AVIF "Support loading AVIF images" ON)
option(SDLIMAGE_BMP "Support loading BMP images" ON)
option(SDLIMAGE_GIF "Support loading GIF images" ON)
option(SDLIMAGE_JPG "Support loading JPEG images" ON)
option(SDLIMAGE_JXL "Support loading JXL images" OFF)
option(SDLIMAGE_LBM "Support loading LBM images" ON)
option(SDLIMAGE_PCX "Support loading PCX images" ON)
option(SDLIMAGE_PNG "Support loading PNG images" ON)
option(SDLIMAGE_PNM "Support loading PNM images" ON)
option(SDLIMAGE_QOI "Support loading QOI images" ON)
option(SDLIMAGE_SVG "Support loading SVG images" ON)
option(SDLIMAGE_TGA "Support loading TGA images" ON)
option(SDLIMAGE_TIF "Support loading TIFF images" ON)
option(SDLIMAGE_WEBP "Support loading WEBP images" ON)
option(SDLIMAGE_XCF "Support loading XCF images" ON)
option(SDLIMAGE_XPM "Support loading XPM images" ON)
option(SDLIMAGE_XV "Support loading XV images" ON)

cmake_dependent_option(SDLIMAGE_AVIF_SAVE "Add AVIF save support" ON SDLIMAGE_AVIF OFF)
cmake_dependent_option(SDLIMAGE_JPG_SAVE "Add JPEG save support" ON SDLIMAGE_JPG OFF)
cmake_dependent_option(SDLIMAGE_PNG_SAVE "Add PNG save support" ON SDLIMAGE_PNG OFF)

set(LIBAVIF_MINIMUM_VERSION "1.0")
if(SDLIMAGE_VENDORED AND SDLIMAGE_AVIF)
    set(SDLIMAGE_AVIF_VENDORED ON)
else()
    set(SDLIMAGE_AVIF_VENDORED OFF)
endif()
cmake_dependent_option(SDLIMAGE_AVIF_SHARED "Dynamically load AVIF support (requires shared libavif)"
    ${SDLIMAGE_DEPS_SHARED} SDLIMAGE_AVIF ON)

if(SDLIMAGE_AVIF_VENDORED)
  set(SDLIMAGE_DAV1D ON)
  set(SDLIMAGE_DAV1D_VENDORED ON)
  set(SDLIMAGE_AOM ON)
  set(SDLIMAGE_AOM_VENDORED ON)
else()
  set(SDLIMAGE_DAV1D OFF)
  set(SDLIMAGE_DAV1D_VENDORED OFF)
  set(SDLIMAGE_AOM OFF)
  set(SDLIMAGE_AOM_VENDORED OFF)
endif()
if(SDLIMAGE_AVIF_SHARED)
  set(SDLIMAGE_DAV1D_SHARED ON)
  set(SDLIMAGE_AOM_SHARED ON)
else()
  set(SDLIMAGE_DAV1D_SHARED OFF)
  set(SDLIMAGE_AOM_SHARED OFF)
endif()

if(SDLIMAGE_VENDORED AND SDLIMAGE_JPG AND NOT (SDLIMAGE_BACKEND_WIC OR SDLIMAGE_BACKEND_STB OR SDLIMAGE_BACKEND_IMAGEIO))
    set(SDLIMAGE_JPG_VENDORED ON)
else()
    set(SDLIMAGE_JPG_VENDORED OFF)
endif()
cmake_dependent_option(SDLIMAGE_JPG_SHARED "Dynamically load JPG support (requires shared libjpeg)"
    ${SDLIMAGE_DEPS_SHARED} "SDLIMAGE_JPG;NOT SDLIMAGE_BACKEND_WIC;NOT SDLIMAGE_BACKEND_STB;NOT SDLIMAGE_BACKEND_IMAGEIO" OFF)

if(SDLIMAGE_VENDORED AND SDLIMAGE_JXL)
    set(SDLIMAGE_JXL_VENDORED ON)
else()
    set(SDLIMAGE_JXL_VENDORED OFF)
endif()
cmake_dependent_option(SDLIMAGE_JXL_SHARED "Dynamically load JXL support (requires shared libjxl)"
    ${SDLIMAGE_DEPS_SHARED} SDLIMAGE_JXL OFF)

if(SDLIMAGE_VENDORED AND SDLIMAGE_PNG AND NOT (SDLIMAGE_BACKEND_WIC OR SDLIMAGE_BACKEND_STB OR SDLIMAGE_BACKEND_IMAGEIO))
    set(SDLIMAGE_PNG_VENDORED ON)
else()
    set(SDLIMAGE_PNG_VENDORED OFF)
endif()
cmake_dependent_option(SDLIMAGE_PNG_SHARED "Dynamically load PNG support (requires shared libpng)"
    ${SDLIMAGE_DEPS_SHARED} "SDLIMAGE_PNG;NOT SDLIMAGE_BACKEND_WIC;NOT SDLIMAGE_BACKEND_STB;NOT SDLIMAGE_BACKEND_IMAGEIO" OFF)

if(SDLIMAGE_VENDORED AND SDLIMAGE_TIF AND NOT (SDLIMAGE_BACKEND_IMAGEIO OR SDLIMAGE_BACKEND_WIC))
    set(SDLIMAGE_TIF_VENDORED ON)
else()
    set(SDLIMAGE_TIF_VENDORED OFF)
endif()
cmake_dependent_option(SDLIMAGE_TIF_SHARED "Dynamically load TIFF support (requires shared libtiff)"
    ${SDLIMAGE_DEPS_SHARED} SDLIMAGE_TIF OFF)

if(SDLIMAGE_VENDORED AND SDLIMAGE_WEBP)
    set(SDLIMAGE_WEBP_VENDORED ON)
else()
    set(SDLIMAGE_WEBP_VENDORED OFF)
endif()
cmake_dependent_option(SDLIMAGE_WEBP_SHARED "Dynamically load WEBP support (requires shared libwebp)"
    ${SDLIMAGE_DEPS_SHARED} SDLIMAGE_WEBP OFF)

if(SDLIMAGE_PNG_VENDORED)
    set(SDLIMAGE_ZLIB ON)
else()
    set(SDLIMAGE_ZLIB OFF)
endif()

if(SDLIMAGE_VENDORED AND SDLIMAGE_PNG_VENDORED)
    set(SDLIMAGE_ZLIB_VENDORED ON)
else()
    set(SDLIMAGE_ZLIB_VENDORED OFF)
endif()
if(SDLIMAGE_PNG_SHARED)
    set(SDLIMAGE_ZLIB_SHARED ON)
else()
    set(SDLIMAGE_ZLIB_SHARED OFF)
endif()

# Save BUILD_SHARED_LIBS variable
set(SDLIMAGE_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})

set(sdl_required_components Headers)

if(SDLIMAGE_BUILD_SHARED_LIBS)
    set(sdl3_image_target_name SDL3_image-shared)
    set(sdl3_target_name SDL3::SDL3-shared)

    list(APPEND sdl_required_components SDL3-shared)
else()
    set(sdl3_image_target_name SDL3_image-static)
    set(sdl3_target_name SDL3::SDL3)
endif()

if(NOT TARGET SDL3::Headers OR NOT TARGET ${sdl3_target_name})
    find_package(SDL3 ${SDL_REQUIRED_VERSION} REQUIRED COMPONENTS ${sdl_required_components})
endif()

SDL_DetectTargetCPUArchitectures(SDL_CPU_NAMES)
SDL_DetectCMakePlatform()

# Set PROJECT_VERSION of subprojects to "" if it's project call does not set VERSION
cmake_policy(SET CMP0048 NEW)

# Allow cmake_dependent_option to use "Full Condition Syntax"
if(POLICY CMP0127)
    cmake_policy(SET CMP0127 NEW)
endif()

# OpenGL is required by dependencies of (dependencies of) some vendored libraries
if(NOT DEFINED OpenGL_GL_PREFERENCE)
    set(OpenGL_GL_PREFERENCE GLVND)
endif()

set(BUILD_SHARED_LIBS ${SDLIMAGE_BUILD_SHARED_LIBS})
add_library(${sdl3_image_target_name}
    src/IMG.c
    src/IMG_WIC.c
    src/IMG_avif.c
    src/IMG_bmp.c
    src/IMG_gif.c
    src/IMG_jpg.c
    src/IMG_jxl.c
    src/IMG_lbm.c
    src/IMG_pcx.c
    src/IMG_png.c
    src/IMG_pnm.c
    src/IMG_qoi.c
    src/IMG_stb.c
    src/IMG_svg.c
    src/IMG_tga.c
    src/IMG_tif.c
    src/IMG_webp.c
    src/IMG_xcf.c
    src/IMG_xpm.c
    src/IMG_xv.c
)
add_library(SDL3_image::${sdl3_image_target_name} ALIAS ${sdl3_image_target_name})
if(NOT TARGET SDL3_image::SDL3_image)
    add_library(SDL3_image::SDL3_image ALIAS ${sdl3_image_target_name})
endif()
target_include_directories(${sdl3_image_target_name}
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
)
target_compile_definitions(${sdl3_image_target_name} PRIVATE
    BUILD_SDL
    SDL_BUILD_MAJOR_VERSION=${MAJOR_VERSION}
    SDL_BUILD_MINOR_VERSION=${MINOR_VERSION}
    SDL_BUILD_MICRO_VERSION=${MICRO_VERSION}
)
target_link_libraries(${sdl3_image_target_name} PUBLIC SDL3::Headers)
if(SDLIMAGE_BUILD_SHARED_LIBS)
    target_link_libraries(${sdl3_image_target_name} PRIVATE SDL3::SDL3-shared)
endif()
sdl_add_warning_options(${sdl3_image_target_name} WARNING_AS_ERROR ${SDLIMAGE_WERROR})
if(WIN32 AND SDLIMAGE_BUILD_SHARED_LIBS)
    target_sources(${sdl3_image_target_name} PRIVATE
        src/version.rc
    )
endif()
set_target_properties(${sdl3_image_target_name} PROPERTIES
    OUTPUT_NAME "SDL3_image"
    DEFINE_SYMBOL DLL_EXPORT
    EXPORT_NAME ${sdl3_image_target_name}
    C_VISIBILITY_PRESET "hidden"
)

sdl_target_link_option_version_file(${sdl3_image_target_name} "${CMAKE_CURRENT_SOURCE_DIR}/src/SDL_image.sym")

if(NOT ANDROID)
    set_target_properties(${sdl3_image_target_name} PROPERTIES
        SOVERSION "${SO_VERSION_MAJOR}"
        VERSION "${SO_VERSION}"
    )
    if(APPLE)
        cmake_minimum_required(VERSION 3.17...3.28)
        set_target_properties(${sdl3_image_target_name} PROPERTIES
            MACHO_COMPATIBILITY_VERSION "${DYLIB_COMPAT_VERSION}"
            MACHO_CURRENT_VERSION "${DYLIB_CURRENT_VERSION}"
        )
        sdl_no_deprecated_errors(${sdl3_image_target_name})
    endif()
endif()
if(SDLIMAGE_BUILD_SHARED_LIBS)
    if(WIN32)
        set_target_properties(${sdl3_image_target_name} PROPERTIES
            PREFIX ""
            DLL_NAME_WITH_SOVERSION FALSE
        )
    endif()
else()
    if(MSVC)
        set_target_properties(${sdl3_image_target_name} PROPERTIES
            OUTPUT_NAME "SDL3_image-static"
        )
    endif()
endif()

# Use `Compatible Interface Properties` to ensure a shared SDL3_image is built with a shared SDL3
if(SDLIMAGE_BUILD_SHARED_LIBS)
    set_property(TARGET ${sdl3_image_target_name} PROPERTY INTERFACE_SDL3_SHARED TRUE)
    set_property(TARGET ${sdl3_image_target_name} APPEND PROPERTY COMPATIBLE_INTERFACE_BOOL SDL3_SHARED)
endif()

if(SDLIMAGE_BUILD_SHARED_LIBS)
    sdl_target_link_options_no_undefined(${sdl3_image_target_name})
endif()

if(SDLIMAGE_BUILD_SHARED_LIBS)
    # Make sure static library dependencies are built with -fPIC when building a shared SDL3_image
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

set(install_license_names)
macro(register_license NAME FILE)
  list(APPEND install_license_names ${NAME})

=== debian/changelog ===
libsdl3-image (3.1.0+ds-2) unstable; urgency=medium

  * d/salsa-ci.yml: Add
  * d/p/nanosvg.h-update-from-mainstream.patch,
    d/p/Expand-PNG_COLOR_TYPE_GRAY_ALPHA-to-RGBA.patch,
    d/p/cmake-don-t-create-relocatable-packages-by-default-with-n.patch,
    d/p/update-README.txt-for-online-documentation-url.patch:
    Add some bug fixes from upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 19 Jan 2025 17:25:27 +0000

libsdl3-image (3.1.0+ds-1) unstable; urgency=medium

  * New upstream preview release
  * d/libsdl3-image0.symbols: Update for ABI break.
    IMG_Init() and IMG_Quit() were removed.
  * Upload to unstable, now that we have a preview release.
    As with SDL3 itself, please note that this is not targeted for
    trixie at this stage (see #1086720).

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Jan 2025 16:25:24 +0000

libsdl3-image (3~git20241102~b1c8ec7+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 3.1.6 prerelease

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Nov 2024 18:19:21 +0000

libsdl3-image (3~git20240925~6f45843+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 3.1.3 prerelease
  * d/control: Build-depend on a contemporary SDL3

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Oct 2024 18:05:52 +0100

libsdl3-image (3~git20240915~6f04db8+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - d/control: (Build-)Depend on a corresponding libsdl3 snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Sep 2024 21:05:20 +0100

libsdl3-image (3~git20240828~0901204+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - d/control: (Build-)Depend on a corresponding libsdl3 snapshot
  * d/rules: Update build option names
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Sep 2024 21:29:19 +0100

libsdl3-image (3~git20240726~2a27018+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: (Build-)Depend on a corresponding libsdl3 snapshot
  * d/libsdl3-image0.symbols: Update
  * Update list of man pages to install

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jul 2024 17:01:28 +0100

libsdl3-image (3~git20240508~ff62eb6+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL 3.1.2
    - Depend on a corresponding SDL3 prerelease
  * d/rules: Build man pages if and only if -doc package is built

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Jun 2024 14:52:12 +0100

libsdl3-image (3~git20240319~18b2816+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * Depend on a corresponding SDL3 prerelease
  * d/libsdl3-image0.symbols: Update (multiple ABI breaks)

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Mar 2024 18:42:55 +0000

libsdl3-image (3~git20240129~750f1c1+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: Build-depend on matching libsdl3-dev
  * d/libsdl3-image0.symbols: Update for AVIF writing support.
    It's part of the ABI, even though in this particular build, it will
    always fail at runtime.
  * d/rules: Explicitly enable features that we want enabled

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jan 2024 10:08:45 +0000

libsdl3-image (3~git20240118~c47680c+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jan 2024 12:35:31 +0000

libsdl3-image (3~git20240115~6d91bf7+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 18:10:36 +0000

libsdl3-image (3~git20240101~1a35931+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jan 2024 17:32:34 +0000

libsdl3-image (3~git20231130~25a57e2+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 18:49:58 +0000

libsdl3-image (3~git20230930~e1e15ae+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/rules: Use package version instead of version from git

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Oct 2023 14:52:56 +0100

libsdl3-image (3~git20230912~1053ea1+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Sep 2023 18:20:27 +0100

libsdl3-image (3~git20230831~37a4b80+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/p/Update-test-template.test.in-for-build-system-changes.patch:
    Drop patch, applied upstream
  * d/.gitignore: Also ignore d/libsdl3-image-doc/

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Sep 2023 11:51:43 +0100

libsdl3-image (3~git20230808~b298bad+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/gbp.conf: Stop filtering imported tarballs.
    Please use uscan instead, which will automatically produce a filtered
    +dfsg tarball based on debian/copyright.
  * d/.gitignore: Update for SDL3
  * d/watch: Use a +ds suffix for the orig tarball.
    To the best of my knowledge, everything we exclude is (meant to be)
    Free Software, we just don't want to keep track of files that are
    irrelevant to Debian (especially the vendored subprojects).
  * d/p/Update-test-template.test.in-for-build-system-changes.patch:
    Add patch to fix as-installed testing
  * d/rules: Re-enable XCF loading, fixed upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Aug 2023 20:03:02 +0100

libsdl3-image (3~git20230805~e141fec+dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/watch: Include the truncated sha1 in the version number.
    This makes it easier to keep track of which version we're packaging.
  * d/libsdl3-image-dev.install: Update for changed header name
  * d/control: Require a matching libsdl3-dev.
    The API is not stable, so we should only build combinations that are
    believed to work together.

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 20:46:01 +0100



## libsdl3-image 3.1.1+ds

=== debian/changelog ===
libsdl3-image (3.1.1+ds-1) unstable; urgency=medium

  * New upstream release candidate
  * d/copyright: Update
  * d/patches: Drop patches, applied upstream
  * d/docs: README.txt was renamed to README.md

 -- Simon McVittie <smcv@debian.org>  Thu, 23 Jan 2025 18:49:55 +0000

=== debian/control ===
Source: libsdl3-image
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: cmake (>= 3.16),
               debhelper-compat (= 13),
               libsdl3-dev (>= 3.1.3~),
               libjpeg-dev,
               libpng-dev,
               libtiff-dev,
               libwebp-dev,
               ninja-build,
               pkgconf,
               zlib1g-dev
Standards-Version: 4.7.0
Homepage: https://www.libsdl.org/projects/SDL_image/
Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl3-image
Vcs-Git: https://salsa.debian.org/sdl-team/libsdl3-image.git

Package: libsdl3-image0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Image loading library for Simple DirectMedia Layer 3, libraries
 This is a simple library to load images of various formats as SDL surfaces.  It
 supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
 WEBP, XPM, XV.
 .
 This package contains the shared library.

Package: libsdl3-image-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libjpeg-dev,
         libpng-dev,
         libsdl3-dev (>= 3.1.3~),
         libsdl3-image0 (= ${binary:Version}),
         libtiff-dev,
         libwebp-dev,
Description: Image loading library for Simple DirectMedia Layer 3, development files
 This is a simple library to load images of various formats as SDL surfaces.  It
 supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
 WEBP, XPM, XV.
 .
 This package contains the development files.

Package: libsdl3-image-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Description: Image loading library for Simple DirectMedia Layer 3 - documentation
 This is a simple library to load images of various formats as SDL surfaces.  It
 supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
 WEBP, XPM, XV.
 .
 This package contains the reference manual and examples.

Package: libsdl3-image-tests
Build-Profiles: <!noinsttest>
Architecture: any
Section: misc
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libsdl3-image0 (= ${binary:Version}),
Description: Image loading library for Simple DirectMedia Layer 3 - tests
 This is a simple library to load images of various formats as SDL surfaces.  It
 supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
 WEBP, XPM, XV.
 .
 This package contains automated and manual tests.

=== debian/watch ===
version=4
# Upstream releases official source tarballs, so we use
# those in preference to git tags
opts="\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)?//;s/[+~](?:ds|dfsg)[0-9]*//, \
    downloadurlmangle=s#/tag/#/download/#;s#((?:prerelease|preview|release)-?@ANY_VERSION@)$#$1/SDL3_image-$2.tar.gz#, \
    filenamemangle=s#(?:prerelease|preview|release)-?@ANY_VERSION@#SDL3_image-$1.tar.gz#, \
    pgpmode=none, \
    repack, \
    repacksuffix=+ds" \
https://github.com/libsdl-org/SDL_image/tags .*/releases/tag/(?:prerelease|preview|release)-?@ANY_VERSION@

## libsdl3-image 3.2.0%2Bds

=== debian/changelog ===
libsdl3-image (3.2.0+ds-2) unstable; urgency=medium

  * d/control, d/copyright: Update upstream URLs
  * d/libsdl3-image0.symbols: Make all symbols generate a dependency
    on 3.2.0.
    We want to be sure that everything is using the stable 3.2.0 ABI,
    and not some earlier ABI from a development snapshot.
  * d/control: Require the stable version of SDL3

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Feb 2025 13:08:29 +0000

libsdl3-image (3.2.0+ds-1) unstable; urgency=medium

  * New upstream stable release (Closes: #1093723)
  * d/watch: Fix handling of +ds suffix
  * d/watch: Only watch for stable releases

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Feb 2025 13:58:52 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Rules-Requires-Root: no
 Build-Depends: cmake (>= 3.16),
                debhelper-compat (= 13),
-               libsdl3-dev (>= 3.1.3~),
+               libsdl3-dev (>= 3.2.0),
                libjpeg-dev,
                libpng-dev,
                libtiff-dev,
@@ -15,7 +15,7 @@
                pkgconf,
                zlib1g-dev
 Standards-Version: 4.7.0
-Homepage: https://www.libsdl.org/projects/SDL_image/
+Homepage: https://github.com/libsdl-org/SDL_image
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl3-image
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl3-image.git
 
@@ -39,7 +39,7 @@
 Depends: ${misc:Depends},
          libjpeg-dev,
          libpng-dev,
-         libsdl3-dev (>= 3.1.3~),
+         libsdl3-dev (>= 3.2.0),
          libsdl3-image0 (= ${binary:Version}),
          libtiff-dev,
          libwebp-dev,

## libsdl3-image 3.2.4%2Bds

=== debian/changelog ===
libsdl3-image (3.2.4+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/p/Revert-Fixed-partial-alpha-in-ICO-and-CUR-images.patch:
    Remove workaround, no longer necessary
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Mar 2025 10:00:27 +0000

libsdl3-image (3.2.2+ds-2) unstable; urgency=medium

  * Revert .ico, .cur alpha change pending investigation

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 19:32:32 +0000

libsdl3-image (3.2.2+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/control: Depend on SDL 3.2.6 as per CMakeLists.txt

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 11:03:01 +0000

## libsdl3-image 3.2.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,16 @@
 cmake_minimum_required(VERSION 3.16...3.28)
+
+if(NOT DEFINED CMAKE_BUILD_TYPE)
+    set(cmake_build_type_undefined 1)
+endif()
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
 
 # See docs/release_checklist.md
 set(MAJOR_VERSION 3)
-set(MINOR_VERSION 1)
-set(MICRO_VERSION 0)
-set(SDL_REQUIRED_VERSION 3.1.3)
+set(MINOR_VERSION 2)
+set(MICRO_VERSION 4)
+set(SDL_REQUIRED_VERSION 3.2.6)
 
 project(SDL3_image
     LANGUAGES C
@@ -28,6 +32,23 @@
     set(SDLIMAGE_ROOTPROJECT OFF)
 endif()
 
+# By default, configure in RelWithDebInfo configuration
+if(SDLIMAGE_ROOTPROJECT)
+    get_property(is_multi_config GLOBAL PROPERTY GENERATOR_IS_MULTI_CONFIG)
+    if(is_multi_config)
+        # The first item in CMAKE_CONFIGURATION_TYPES is the default configuration
+        if(DEFINED CMAKE_CONFIGURATION_TYPES AND "RelWithDebInfo" IN_LIST CMAKE_CONFIGURATION_TYPES)
+            list(REMOVE_ITEM CMAKE_CONFIGURATION_TYPES "RelWithDebInfo")
+            list(INSERT CMAKE_CONFIGURATION_TYPES 0 "RelWithDebInfo")
+            set(CMAKE_CONFIGURATION_TYPES "${CMAKE_CONFIGURATION_TYPES}" CACHE STRING "CMake configuration types" FORCE)
+        endif()
+    else()
+        if(cmake_build_type_undefined)
+            set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "CMake build type" FORCE)
+        endif()
+    endif()
+endif()
+
 set(SDLIMAGE_SAMPLES_DEFAULT ${SDLIMAGE_ROOTPROJECT})
 if(ANDROID)
     set(SDLIMAGE_SAMPLES_DEFAULT OFF)
@@ -67,6 +88,7 @@
 cmake_dependent_option(SDLIMAGE_INSTALL_CPACK "Create binary SDL3_image archive using CPack" ${SDLIMAGE_ROOTPROJECT} "SDLIMAGE_INSTALL" OFF)
 cmake_dependent_option(SDLIMAGE_INSTALL_MAN "Install man pages for SDL3_image" OFF "SDLIMAGE_INSTALL" OFF)
 cmake_dependent_option(SDLIMAGE_DEPS_SHARED "Load dependencies dynamically" ON PLATFORM_SUPPORTS_SHARED OFF)
+cmake_dependent_option(SDLIMAGE_RELOCATABLE "Create relocatable SDL_image package" "${MSVC}" SDLIMAGE_INSTALL OFF)
 option(SDLIMAGE_VENDORED "Use vendored third-party libraries" ${vendored_default})
 option(SDLIMAGE_WERROR "Treat warnings as errors" OFF)
 
@@ -277,6 +299,9 @@
     target_sources(${sdl3_image_target_name} PRIVATE
         src/version.rc
     )
+    if(MINGW)
+        target_link_options(${sdl3_image_target_name} PRIVATE -static-libgcc)
+    endif()
 endif()
 set_target_properties(${sdl3_image_target_name} PROPERTIES
     OUTPUT_NAME "SDL3_image"
@@ -299,38 +324,3 @@
             MACHO_CURRENT_VERSION "${DYLIB_CURRENT_VERSION}"
         )
         sdl_no_deprecated_errors(${sdl3_image_target_name})
-    endif()
-endif()
-if(SDLIMAGE_BUILD_SHARED_LIBS)
-    if(WIN32)
-        set_target_properties(${sdl3_image_target_name} PROPERTIES
-            PREFIX ""
-            DLL_NAME_WITH_SOVERSION FALSE
-        )
-    endif()
-else()
-    if(MSVC)
-        set_target_properties(${sdl3_image_target_name} PROPERTIES
-            OUTPUT_NAME "SDL3_image-static"
-        )
-    endif()
-endif()
-
-# Use `Compatible Interface Properties` to ensure a shared SDL3_image is built with a shared SDL3
-if(SDLIMAGE_BUILD_SHARED_LIBS)
-    set_property(TARGET ${sdl3_image_target_name} PROPERTY INTERFACE_SDL3_SHARED TRUE)
-    set_property(TARGET ${sdl3_image_target_name} APPEND PROPERTY COMPATIBLE_INTERFACE_BOOL SDL3_SHARED)
-endif()
-
-if(SDLIMAGE_BUILD_SHARED_LIBS)
-    sdl_target_link_options_no_undefined(${sdl3_image_target_name})
-endif()
-
-if(SDLIMAGE_BUILD_SHARED_LIBS)
-    # Make sure static library dependencies are built with -fPIC when building a shared SDL3_image
-    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
-endif()
-
-set(install_license_names)
-macro(register_license NAME FILE)
-  list(APPEND install_license_names ${NAME})

=== test/CMakeLists.txt ===
# CMake script for building SDL_image tests

enable_testing()

set(CMAKE_POSITION_INDEPENDENT_CODE OFF)

set(RESOURCE_FILES
    palette.bmp
    palette.gif
    sample.avif
    sample.bmp
    sample.cur
    sample.ico
    sample.jpg
    sample.jxl
    sample.pcx
    sample.png
    sample.pnm
    sample.qoi
    sample.tga
    sample.tif
    sample.webp
    sample.xcf
    sample.xpm
    svg-class.bmp
    svg-class.svg
    svg.bmp
    svg.svg
    svg64.bmp
)

function(add_sdl_image_test_executable TARGET)
    add_executable(${TARGET} ${ARGN})
    target_compile_definitions(${TARGET}
        PRIVATE
            $<TARGET_PROPERTY:${sdl3_image_target_name},COMPILE_DEFINITIONS>
            "SDL_IMAGE_SAVE_AVIF=$<BOOL:${SDLIMAGE_AVIF_SAVE}>"
            "SDL_IMAGE_SAVE_JPG=$<BOOL:${SDLIMAGE_JPG_SAVE}>"
            "SDL_IMAGE_SAVE_PNG=$<BOOL:${SDLIMAGE_PNG_SAVE}>"
    )
    sdl_add_warning_options(${TARGET} WARNING_AS_ERROR ${SDLIMAGE_WERROR})
    target_link_libraries(${TARGET} PRIVATE SDL3_image::SDL3_image SDL3::SDL3_test SDL3::SDL3)

    add_test(
        NAME ${TARGET}
        COMMAND ${TARGET}
        WORKING_DIRECTORY "$<TARGET_FILE_DIR:${TARGET}>"
    )

    set(TESTS_ENVIRONMENT
        "SDL_TEST_SRCDIR=${CMAKE_CURRENT_SOURCE_DIR}"
        "SDL_TEST_BUILDDIR=$<TARGET_FILE_DIR:${TARGET}>"
        "SDL_VIDEO_DRIVER=dummy"
    )
    set_tests_properties(${TARGET}
        PROPERTIES
            ENVIRONMENT "${TESTS_ENVIRONMENT}"
            TIMEOUT 30
    )
    if(SDLIMAGE_TESTS_INSTALL)
        set(installedtestsdir "${CMAKE_INSTALL_FULL_LIBEXECDIR}/installed-tests/${PROJECT_NAME}")
        configure_file(template.test.in "${TARGET}.test" @ONLY)
        install(
            FILES "${CMAKE_CURRENT_BINARY_DIR}/${TARGET}.test"
            DESTINATION "${CMAKE_INSTALL_DATADIR}/installed-tests/${PROJECT_NAME}"
        )
    endif()
    if(SDLIMAGE_TESTS_INSTALL)
        install(
            TARGETS ${TARGET}
            DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/installed-tests/${PROJECT_NAME}"
        )
    endif()
endfunction()

add_sdl_image_test_executable(testimage main.c)

if(SDLIMAGE_TESTS_INSTALL)
    install(
        FILES ${RESOURCE_FILES}
        DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/installed-tests/${PROJECT_NAME}"
    )
endif()

=== cmake/test/CMakeLists.txt ===
# This cmake build script is meant for verifying the various CMake configuration script.

cmake_minimum_required(VERSION 3.12...3.28)
project(sdl_test LANGUAGES C)

cmake_policy(SET CMP0074 NEW)

# Override CMAKE_FIND_ROOT_PATH_MODE to allow search for SDL3 outside of sysroot
set(CMAKE_FIND_ROOT_PATH_MODE_PACKAGE NEVER)

include(FeatureSummary)

option(TEST_SHARED "Test linking to shared SDL3_image library" ON)
add_feature_info("TEST_SHARED" TEST_SHARED "Test linking with shared library")

option(TEST_STATIC "Test linking to static SDL3_image library" ON)
add_feature_info("TEST_STATIC" TEST_STATIC "Test linking with static library")

if(ANDROID)
    macro(add_executable NAME)
        set(args ${ARGN})
        list(REMOVE_ITEM args WIN32)
        add_library(${NAME} SHARED ${args})
        unset(args)
    endmacro()
endif()

if(TEST_SHARED)
    find_package(SDL3 REQUIRED CONFIG COMPONENTS SDL3)
    find_package(SDL3_image REQUIRED CONFIG)
    add_executable(main_shared main.c)
    target_link_libraries(main_shared PRIVATE SDL3_image::SDL3_image-shared SDL3::SDL3)
endif()

if(TEST_STATIC)
    find_package(SDL3 REQUIRED CONFIG COMPONENTS SDL3)
    # some static vendored libraries use c++ (enable CXX after `find_package` might show a warning)
    enable_language(CXX)
    find_package(SDL3_image REQUIRED CONFIG)
    add_executable(main_static main.c)
    target_link_libraries(main_static PRIVATE SDL3_image::SDL3_image-static SDL3::SDL3)
endif()

feature_summary(WHAT ALL)

=== build-scripts/pkg-support/mingw/Makefile ===
#
# Makefile for installing the mingw32 version of the SDL_image library

DESTDIR = /usr/local
ARCHITECTURES := i686-w64-mingw32 x86_64-w64-mingw32

default:
	@echo "Run \"make install-i686\" to install 32-bit"
	@echo "Run \"make install-x86_64\" to install 64-bit"
	@echo "Run \"make install-all\" to install both"
	@echo "Add DESTDIR=/custom/path to change the destination folder"

install:
	@if test -d $(ARCH) && test -d $(DESTDIR); then \
		(cd $(ARCH) && cp -rv bin include lib share $(DESTDIR)/); \
	else \
		echo "*** ERROR: $(ARCH) or $(DESTDIR) does not exist!"; \
		exit 1; \
	fi

install-i686:
	$(MAKE) install ARCH=i686-w64-mingw32

install-x86_64:
	$(MAKE) install ARCH=x86_64-w64-mingw32

install-all:
	@if test -d $(DESTDIR); then \
		mkdir -p $(DESTDIR)/cmake; \
		cp -rv cmake/* $(DESTDIR)/cmake; \
		for arch in $(ARCHITECTURES); do \
			$(MAKE) install ARCH=$$arch DESTDIR=$(DESTDIR)/$$arch; \
		done \
	else \
		echo "*** ERROR: $(DESTDIR) does not exist!"; \
		exit 1; \
	fi

.PHONY: default install install-i686 install-x86_64 install-all

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Rules-Requires-Root: no
 Build-Depends: cmake (>= 3.16),
                debhelper-compat (= 13),
-               libsdl3-dev (>= 3.2.0),
+               libsdl3-dev (>= 3.2.6),
                libjpeg-dev,
                libpng-dev,
                libtiff-dev,
@@ -14,7 +14,7 @@
                ninja-build,
                pkgconf,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/libsdl-org/SDL_image
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl3-image
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl3-image.git
@@ -39,7 +39,7 @@
 Depends: ${misc:Depends},
          libjpeg-dev,
          libpng-dev,
-         libsdl3-dev (>= 3.2.0),
+         libsdl3-dev (>= 3.2.6),
          libsdl3-image0 (= ${binary:Version}),
          libtiff-dev,
          libwebp-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

confflags = -DSDLIMAGE_REVISION=$(DEB_VERSION_UPSTREAM_REVISION)
confflags += -DSDLIMAGE_STRICT=ON
confflags += -DSDLIMAGE_VENDORED=OFF

ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter %-tests,$(built_binaries)),nocheck)
confflags += -DSDLIMAGE_TESTS=ON
endif

ifneq ($(filter %-doc,$(built_binaries)),)
confflags += -DSDLIMAGE_INSTALL_MAN=ON
endif

ifneq ($(filter %-tests,$(built_binaries)),)
confflags += -DSDLIMAGE_SAMPLES=ON
confflags += -DSDLIMAGE_SAMPLES_INSTALL=ON
confflags += -DSDLIMAGE_TESTS_INSTALL=ON
endif

# using libjpeg and libpng is straightforward in Debian
confflags += -DSDLIMAGE_BACKEND_STB=OFF

# doesn't seem to be in demand yet
confflags += -DSDLIMAGE_AVIF=OFF
confflags += -DSDLIMAGE_AVIF_SAVE=OFF

confflags += -DSDLIMAGE_BMP=ON

confflags += -DSDLIMAGE_GIF=ON

confflags += -DSDLIMAGE_JPG=ON
confflags += -DSDLIMAGE_JPG_SAVE=ON

# doesn't seem to be stable yet
confflags += -DSDLIMAGE_JXL=OFF

confflags += -DSDLIMAGE_LBM=ON

confflags += -DSDLIMAGE_PCX=ON

confflags += -DSDLIMAGE_PNG=ON
confflags += -DSDLIMAGE_PNG_SAVE=ON

confflags += -DSDLIMAGE_PNM=ON

confflags += -DSDLIMAGE_QOI=ON

confflags += -DSDLIMAGE_SVG=ON

confflags += -DSDLIMAGE_TGA=ON

confflags += -DSDLIMAGE_TIF=ON

confflags += -DSDLIMAGE_WEBP=ON

confflags += -DSDLIMAGE_XCF=ON

confflags += -DSDLIMAGE_XPM=ON

confflags += -DSDLIMAGE_XV=ON

# features -- disable building as plugins, otherwise dh_shlibs
# cannot keep track of what we depend on
confflags += -DSDLIMAGE_DEPS_SHARED=OFF

# Assert that we support all the formats that we think we should support
export SDL_IMAGE_TEST_REQUIRE_LOAD_AVIF=0
export SDL_IMAGE_TEST_REQUIRE_LOAD_BMP=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_CUR=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_GIF=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_ICO=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_JPG=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_JXL=0
export SDL_IMAGE_TEST_REQUIRE_LOAD_LBM=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_PCX=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_PNG=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_PNM=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_QOI=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_SVG=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_TGA=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_TIF=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_WEBP=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_XCF=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_XPM=1
export SDL_IMAGE_TEST_REQUIRE_LOAD_XV=1

export SDL_IMAGE_TEST_REQUIRE_SAVE_JPG=1
export SDL_IMAGE_TEST_REQUIRE_SAVE_PNG=1

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

=== debian/tests/control ===
Tests: libsdl3-image-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 cmake,
 debconf,
 file,
 libsdl3-image-dev,
 ninja-build,
 pkgconf,
 xauth,
 xvfb,

Tests: installed-tests
Restrictions: allow-stderr, superficial
Depends:
 gnome-desktop-testing,
 libsdl3-image-tests,

=== debian/watch ===
version=4
# Upstream releases official source tarballs, so we use
# those in preference to git tags
opts="\
    compression=xz, \
    dversionmangle=s/[+~](?:ds|dfsg)[0-9]*$//;s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?$//, \
    downloadurlmangle=s#/tag/#/download/#;s#((?:prerelease|preview|release)-?@ANY_VERSION@)$#$1/SDL3_image-$2.tar.gz#, \
    filenamemangle=s#(?:prerelease|preview|release)-?@ANY_VERSION@#SDL3_image-$1.tar.gz#, \
    pgpmode=none, \
    repack, \
    repacksuffix=+ds" \
https://github.com/libsdl-org/SDL_image/tags .*/releases/tag/(?:release)-?@ANY_VERSION@

## libsdl3-image 3.2.6+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # See docs/release_checklist.md
 set(MAJOR_VERSION 3)
 set(MINOR_VERSION 2)
-set(MICRO_VERSION 4)
+set(MICRO_VERSION 6)
 set(SDL_REQUIRED_VERSION 3.2.6)
 
 project(SDL3_image
@@ -290,6 +290,8 @@
     SDL_BUILD_MINOR_VERSION=${MINOR_VERSION}
     SDL_BUILD_MICRO_VERSION=${MICRO_VERSION}
 )
+# Make sure SDL3's include directory comes first
+target_include_directories(${sdl3_image_target_name} PUBLIC $<TARGET_PROPERTY:SDL3::Headers,INTERFACE_INCLUDE_DIRECTORIES>)
 target_link_libraries(${sdl3_image_target_name} PUBLIC SDL3::Headers)
 if(SDLIMAGE_BUILD_SHARED_LIBS)
     target_link_libraries(${sdl3_image_target_name} PRIVATE SDL3::SDL3-shared)
@@ -318,9 +320,5 @@
         VERSION "${SO_VERSION}"
     )
     if(APPLE)
-        cmake_minimum_required(VERSION 3.17...3.28)
         set_target_properties(${sdl3_image_target_name} PROPERTIES
             MACHO_COMPATIBILITY_VERSION "${DYLIB_COMPAT_VERSION}"
-            MACHO_CURRENT_VERSION "${DYLIB_CURRENT_VERSION}"
-        )
-        sdl_no_deprecated_errors(${sdl3_image_target_name})

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -70,6 +70,9 @@
             TARGETS ${TARGET}
             DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/installed-tests/${PROJECT_NAME}"
         )
+        if(MSVC)
+            SDL_install_pdb("${TARGET}" "${CMAKE_INSTALL_LIBEXECDIR}/installed-tests/${PROJECT_NAME}")
+        endif()
     endif()
 endfunction()

=== debian/changelog ===
libsdl3-image (3.2.6+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/libsdl3-image-tests.install: Update for the new upstream release.
    The examples (or manual tests) are no longer installed to /usr/bin by
    upstream, so we don't need to move them.
  * d/watch*, d/source/lintian-overrides: Update to uscan format v5.
    Re-enable GPG signature checking since upstream is releasing signed
    tarballs again. They're only signed with a 1024-bit DSA key, but
    it's better than nothing.
  * d/control: Standards-Version: 4.7.3
    - Remove unnecessary Priority field
  * d/control: Remove unnecessary Rules-Requires-Root: no
  * Update Lintian override for #1115463

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Jan 2026 19:02:34 +0000

=== debian/watch ===
Version: 5

# Upstream releases official source tarballs, so we use
# those in preference to git tags
Source: https://github.com/libsdl-org/SDL_image/tags
Matching-Pattern: .*/releases/tag/(?:release)-?@ANY_VERSION@
Compression: xz
Download-Url-Mangle: s#/tag/#/download/#;s#((?:prerelease|preview|release)-?@ANY_VERSION@)$#$1/SDL3_image-$2.tar.gz#
Dversion-Mangle: s/[+~](?:ds|dfsg)[0-9]*$//;s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?$//
Filename-Mangle: s#(?:prerelease|preview|release)-?@ANY_VERSION@#SDL3_image-$1.tar.gz#
Pgpmode: auto
Repack: yes
Repacksuffix: +ds

## libsdl3-image 3.3.4%2Bds

=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Upstream releases official source tarballs, so we use
 # those in preference to git tags
 Source: https://github.com/libsdl-org/SDL_image/tags
-Matching-Pattern: .*/releases/tag/(?:release)-?@ANY_VERSION@
+Matching-Pattern: .*/releases/tag/(?:prerelease|preview|release)-?@ANY_VERSION@
 Compression: xz
 Download-Url-Mangle: s#/tag/#/download/#;s#((?:prerelease|preview|release)-?@ANY_VERSION@)$#$1/SDL3_image-$2.tar.gz#
 Dversion-Mangle: s/[+~](?:ds|dfsg)[0-9]*$//;s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?$//
